
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

a {
    color:black;
    text-decoration: none;
}

.logo {
    background-color: white;
    padding: 15px;
}

b{
  font-size: 2vw;
}

header {
  display: flex;
  justify-content: flex-start; /*space-between;*/
  align-items: center;
  /*padding: 15px;*/
  gap:15px;
  background: #19355C;
  color: white;
}

/* Анимация в крестик */
.burger.active span:nth-child(1) {
  transform: translateY(9px) rotate(45deg);
}
.burger.active span:nth-child(2) {
  opacity: 0;
}
.burger.active span:nth-child(3) {
  transform: translateY(-9px) rotate(-45deg);
}

.menubar{
  display: flex;
}

.menubar a{
  font-size: 1.5vw;
}

/* Меню (выезжает справа) */
.menu {
  position: fixed;
  top: 0;
  right: -260px;
  width: 260px;
  height: 100%;
  background: #19355C;
  display: flex;
  flex-direction: column;
  padding: 110px 20px;
  transition: right 0.35s ease;
  z-index: 1000;
}

.menu a {
  margin-bottom: 20px;
  font-size: 3.5vw;
  transform: translateX(20px);
  opacity: 0;
  transition: all 0.3s ease;
}

/* Появление меню */
.menu.active {
  right: 0;
}

.menu.active a {
  transform: translateX(0);
  opacity: 1;
}

/* Overlay (затемнение) */
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #000000;
  opacity: 0;
  pointer-events: none;
  transition: 0.3s ease;
  z-index: 999;
}

.overlay.active {
  opacity: 0.5;
  pointer-events: all;
}

.menu_item{
    text-align: center;

    background-color:white;
    border-style: solid;
    border-color:whitesmoke;
    margin-top: 1vh;
    
    display: grid;
    place-items: center; /* сразу и вертикально, и горизонтально */
    padding-top: 2vh;
    padding-left: 2vw;
    padding-right: 2vw;
    padding-bottom: 2vh;
}

/* Бургер */
.burger {
  margin-right: 30px;
  width: 30px;
  height: 22px;
  display: none;
  flex-direction: column;
  justify-content: space-between;
  cursor: pointer;
  z-index: 1001;
}

.burger span {
  display: block;
  height: 3px;
  background: white;
  border-radius: 2px;
  transition: 0.3s ease;
}

.header{
  padding: 17vh 7vw 15vh 7vw;
  text-align: center;
  font-size: 3vh;
}

.header_img{
  display: block;
  height: 30vh;
  width: 100%;
  background-image: url('images/lightning.jpg');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  /*background-attachment: fixed;*/ /*позволяет скролить изображение (делает изображение глубоким)*/
}

.content_wrap{
    padding: 7% 7% 5% 7%;
    text-align: left;
    font-size: 4vh;
    /*padding-top: 1vh*/
}

.content_wrap table{
  margin-top: 10vh; 
  margin-left: 30vw
}

.products {
  padding-top: 10vh;
  display: grid;
  grid-template-columns: repeat(3, 1fr); /* 3 колонки */
  gap: 5vh;
}

.product {
  background: white;
  padding: 20px;
  text-align: center;
}

.product:hover {
  border: 2px solid black;
}

.product_img
{
    height: 30vh;
    width: 39vh;
    aspect-ratio: 3 / 2;
}

/*Списки*/
ul{
  font-size: 4vh; 
  padding-left: 2vw;
  padding-top: 1vh;
}

li{
  margin-bottom: 1vh
}
/**/

footer
{
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  background-color: #19355C;
  color: white;
  padding: 5% 0% 5%;
  font-size: 17px;
}

.column{
  font-size: 1.2vw;
  padding-left: 5%; 
}

/*About product*/
.main_information{
  margin-top: 7vh;
  display: grid;
  grid-template-columns: repeat(2, 1fr); /* 2 колонки */
  margin-bottom: 10vh;
}

.main_information table{
  margin-top: 2vh; 
  margin-left: 3vw
}

.about_product_img{
  margin-left: 10vh;
  height: 50vh;
  width: 59vh;
  aspect-ratio: 3 / 2;  
}

.one_chars_item_title_element{
  font-size: 3vw;
  color: #19355C;
}

/*Поисковая строка*/
#search_bar{
  margin-top: 3vh;
  height: 5vh;
  width: 78vw;
}

/*description*/
.text ul{
  font-size: 2vh;
  padding-left: 2vw;
  padding-top: 1vh;
}

@media (min-width: 1450px){
.header{
    padding: 17vh 7vw 10vh 7vw;
    font-size: 3vh;
  }
  .products {
      grid-template-columns: repeat(3, 1fr); 
  }

  /*About product*/
  .main_information{
    margin-top: 7vh;
    display: grid;
    grid-template-columns: repeat(1, 1fr); 
    margin-bottom: 5vh;
  }

  .main_information table{
    margin-top: 2vh; 
    margin-left: 3vw;
  }

  .about_product_img{
    margin-left: 0vh;
    height: 50vh;
    width: 59vh;
    aspect-ratio: 3 / 2;  
  }

  .content_wrap{
    padding: 7% 7% 5% 7%;
    text-align: left;
    font-size: 3vh;
    /*padding-top: 1vh*/
  }

  .text ul{
    font-size: 2.2vh;
    padding-left: 2vw;
    padding-top: 1vh;
  }
}

@media (max-width: 1024px){
    .header{
      padding: 17vh 7vw 10vh 7vw;
      font-size: 3vh;
    }
    .products {
        grid-template-columns: repeat(2, 1fr); 
    }

    /*About product*/
    .main_information{
      margin-top: 7vh;
      display: grid;
      grid-template-columns: repeat(1, 1fr); 
      margin-bottom: 5vh;
    }

    .main_information table{
      margin-top: 2vh; 
      margin-left: 3vw;
    }

    .about_product_img{
      margin-left: 0vh;
      height: 50vh;
      width: 59vh;
      aspect-ratio: 3 / 2;  
    }

}
@media (max-width: 568px) {
  h1{
    font-size: 10vw;
  }

  header {
    width: 100%;
    justify-content: space-between;
  }

  .menubar{
    display: none;
  }

  .burger {
    display: none;
  }

  .menu_item{
    font-size: 1.4vw; /*20px*/
  }

  .menu {
    position: absolute;
    top: 0vh;
    right: 0;
    background: #19355C;
    flex-direction: column;
    width: 200px;
    display: none;
  }

  .content_wrap table{
    margin-left: 0vw;
    font-size: 3vh;
  }

  .menu.active {
    display: flex;
  }

  .burger {
    display: block;
  }
  /**/
    .burger.active span:nth-child(1) {
    transform: translateY(4.35px) rotate(45deg);
  }
  .burger.active span:nth-child(3) {
    transform: translateY(-4.35px) rotate(-45deg);
  }

  .burger span {
    margin-top: 2px; 
  }

  .products {
    grid-template-columns: repeat(1, 1fr); 
  }

  footer
  {
    font-size: 12px;
  }

  /*About product*/
  .about_product_img{
      margin-left: 0vh;
      height: 40vh;
      width: 49vh;
      aspect-ratio: 3 / 2;  
  }
  /*Поисковая строка*/
  #search_bar{
    margin-top: 5vh;
    height: 5vh;
    width: 28vw;
  }
}
